% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/celda_G.R
\name{celdaHeatmap,celda_G-method}
\alias{celdaHeatmap,celda_G-method}
\title{Heatmap for celda_CG}
\usage{
\S4method{celdaHeatmap}{celda_G}(counts, celdaMod, nfeatures = 25, ...)
}
\arguments{
\item{counts}{Integer matrix. Rows represent features and columns represent
cells. This matrix should be the same as the one used to generate
`celdaMod`.}

\item{celdaMod}{Celda object of class `celda_G`.}

\item{nfeatures}{Integer. Maximum number of features to select for each
module. Default 25.}

\item{...}{Additional parameters.}
}
\value{
list A list containing the dendrograms and the heatmap grob.
}
\description{
Renders an expression heatmap to visualize `celda_CG()` results.
 The top `nfeatures` for each module will be included in the heatmap.
}
\examples{
data(celdaGSim, celdaGMod)
celdaHeatmap(celdaGSim$counts, celdaGMod)
}
\seealso{
`celda_G()` for clustering features and `celdaTsne()` for
 generating 2-dimensional coordinates.
}
